Update delayed charge

PUT /api/v1/delayed-charges/{charge_id}

Update a pending delayed charge.

Operation ID: update_delayed_charge_api_v1_delayed_charges__charge_id__put · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

charge_id string required

Request body

type string

Type: 'charge' or 'credit'

customer_id string

Customer ID

amount integer

Amount in cents

description string

Description

line_items array · DelayedChargeLineItem

Line items

service_date string

Service date (YYYY-MM-DD)

internal_notes string

Internal notes

Responses

200 Successful Response

id string required
business_id string required
customer_id string required
type string required
status string required
currency string required
amount integer required
amount_in_dollars string required
description string required
internal_notes string
line_items object
service_date string · date-time
invoiced_invoice_id string
invoiced_at string · date-time
created_at string · date-time required
updated_at string · date-time required
customer_name string
can_be_updated boolean
can_be_deleted boolean
can_be_invoiced boolean

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object